#include "mta-helper.fx"
texture Texture0;
float coef = 0.0f;
sampler MaskSampler = sampler_state
{
    Texture = <Texture0>;
    AddressV = Clamp;
    AddressU = Clamp;
};

struct VertexShaderInput
{
  float3 Position : POSITION0;
  float3 Normal : NORMAL0;
  float4 Diffuse : COLOR0;
  float2 TexCoord : TEXCOORD0;
};

struct PixelShaderInput
{
  float4 Position : POSITION0;
  float4 Diffuse : COLOR0;
  float2 TexCoord : TEXCOORD0;
};

PixelShaderInput Vertex(VertexShaderInput VS)
{
    PixelShaderInput PS = (PixelShaderInput)0;
    float4 colorMask = tex2Dlod(MaskSampler, float4(VS.TexCoord, 0,0));
    VS.Position.z += (1-colorMask.r)*coef;
    PS.Position = MTACalcScreenPosition( VS.Position );
    PS.TexCoord = VS.TexCoord;
    PS.Diffuse = MTACalcGTABuildingDiffuse(VS.Diffuse);
    return PS;
}

technique Technique1
{
    pass Pass0
    {
        VertexShader = compile vs_3_0 Vertex();
    }
}